Retail Express API 2.1

Updates Stock Adjustment Reason

Sample request:

 PUT /stockadjustmentreasons/12
 {
     "name": "Updated Stock Adjustment Reason name",
     "disabled": true
 }
put
https://api.retailexpress.com.au/v2.1/stockadjustmentreasons/{id}

Path Parameters

idinteger(int32)required

Stock Adjustment Reason id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Stock Adjustment Reason model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Returns updated Stock Adjustment Reason

StockAdjustmentReason

Stock Adjustment Reason Model

* Additional properties are NOT allowed.
idinteger(int32)

Stock Adjustment Reason Id.

namestring | null

Stock Adjustment Reason name

disabledboolean

Stock Adjustment Reason disabled flag

created_onstring(date-time)

Stock Adjustment Reason creation date and time

modified_onstring(date-time)

Stock Adjustment Reason modification date and time

put/stockadjustmentreasons/{id}

Body

{}
 
application/json

Deletes Stock Adjustment Reason by id when not used in any stock adjustment

Deletes Stock Adjustment Reason by id when not used in any stock adjustment

delete
https://api.retailexpress.com.au/v2.1/stockadjustmentreasons/{id}

Path Parameters

idinteger(int32)required

Stock Adjustment Reason id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

Stock Adjustment Reason deleted

delete/stockadjustmentreasons/{id}
 

Gets specific Stock Adjustment Reason by unique id

Gets specific Stock Adjustment Reason by unique id

get
https://api.retailexpress.com.au/v2.1/stockadjustmentreasons/{id}

Path Parameters

idinteger(int32)required

Stock Adjustment Reason id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Stock Adjustment Reason

StockAdjustmentReason

Stock Adjustment Reason Model

* Additional properties are NOT allowed.
idinteger(int32)

Stock Adjustment Reason Id.

namestring | null

Stock Adjustment Reason name

disabledboolean

Stock Adjustment Reason disabled flag

created_onstring(date-time)

Stock Adjustment Reason creation date and time

modified_onstring(date-time)

Stock Adjustment Reason modification date and time

get/stockadjustmentreasons/{id}
 
application/json

stockreceipts

Creates Stock Receipt

Sample request:

POST /stockreceipts
{
    "source_type": "PO",
    "source_id": 1,
    "source_item_id": 1,
    "source_receipt_item_id": 1,
    "product": 
    {
        "id": 124001
    },
    "outlet":
    {
        "id": 1
    },
    "received_quantity": 10,
    "buy_price_ex": 100,
    "direct_costs_ex": 10.1,
    "tax_rate": 1.1
}
post
https://api.retailexpress.com.au/v2.1/stockreceipts

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Stock Receipt model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Stock Receipt created

StockReceipt

Stock Receipt model

* Additional properties are NOT allowed.
idinteger(int32)

Stock receipt id

source_typestring | null

Source type Available values: ‘PO’ or ‘ITO’

source_idinteger(int32)

Source id
represents id of source - can be for either dbo.PO or dbo.tblITO

source_item_idinteger | null(int32)

Source item id
represents id of source item

source_receipt_item_idinteger | null(int32)

Source receipt item id
represents id of receipt item

productobject
* Additional properties are NOT allowed.
Show Child Parameters
outletobject
* Additional properties are NOT allowed.
Show Child Parameters
received_quantityinteger(int32)

Received quantity (must be > 0)

buy_price_exnumber(double)

Buy price ex (must be >= 0)

direct_costs_exnumber(double)

Direct costs ex

tax_ratenumber(double)

Tax rate

created_onstring(date-time)

Created on

post/stockreceipts

Body

{}
 
application/json